Flecs: ecs_table_memory_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_table_memory_t Struct Reference
C API » Addons » Stats

Table memory. More...

`#include <stats.h>`

## Public Attributes
int32_t | count
| Total number of tables.
int32_t | empty_count
| Number of empty tables.
int32_t | column_count
| Number of table columns.
ecs_size_t | bytes_table
| Bytes used by ecs_table_t struct.
ecs_size_t | bytes_type
| Bytes used by type, columns, and table records.
ecs_size_t | bytes_entities
| Bytes used by entity vectors.
ecs_size_t | bytes_overrides
| Bytes used by table overrides.
ecs_size_t | bytes_column_map
| Bytes used by column map.
ecs_size_t | bytes_component_map
| Bytes used by component map.
ecs_size_t | bytes_dirty_state
| Bytes used by dirty state.
ecs_size_t | bytes_edges
| Bytes used by table graph edges.

## Detailed Description

Table memory.

Definition at line 556 of file stats.h.

## Member Data Documentation

## ◆ bytes_column_map

ecs_size_t ecs_table_memory_t::bytes_column_map

Bytes used by column map.

Definition at line 564 of file stats.h.

## ◆ bytes_component_map

ecs_size_t ecs_table_memory_t::bytes_component_map

Bytes used by component map.

Definition at line 565 of file stats.h.

## ◆ bytes_dirty_state

ecs_size_t ecs_table_memory_t::bytes_dirty_state

Bytes used by dirty state.

Definition at line 566 of file stats.h.

## ◆ bytes_edges

ecs_size_t ecs_table_memory_t::bytes_edges

Bytes used by table graph edges.

Definition at line 567 of file stats.h.

## ◆ bytes_entities

ecs_size_t ecs_table_memory_t::bytes_entities

Bytes used by entity vectors.

Definition at line 562 of file stats.h.

## ◆ bytes_overrides

ecs_size_t ecs_table_memory_t::bytes_overrides

Bytes used by table overrides.

Definition at line 563 of file stats.h.

## ◆ bytes_table

ecs_size_t ecs_table_memory_t::bytes_table

Bytes used by ecs_table_t struct.

Definition at line 560 of file stats.h.

## ◆ bytes_type

ecs_size_t ecs_table_memory_t::bytes_type

Bytes used by type, columns, and table records.

Definition at line 561 of file stats.h.

## ◆ column_count

int32_t ecs_table_memory_t::column_count

Number of table columns.

Definition at line 559 of file stats.h.

## ◆ count

int32_t ecs_table_memory_t::count

Total number of tables.

Definition at line 557 of file stats.h.

## ◆ empty_count

int32_t ecs_table_memory_t::empty_count

Number of empty tables.

Definition at line 558 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h